Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

SPI/Search/Handler.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\SPI\Search;
8
9 use eZ\Publish\SPI\Persistence\Content;
10 use eZ\Publish\SPI\Persistence\Content\Location;
11 use eZ\Publish\API\Repository\Values\Content\Query\Criterion;
12 use eZ\Publish\API\Repository\Values\Content\Query;
13 use eZ\Publish\API\Repository\Values\Content\LocationQuery;
14
19 interface Handler
20 {
34 public function findContent(Query $query, array $languageFilter = []);
35
51 public function findSingle(Criterion $filter, array $languageFilter = []);
52
64 public function findLocations(LocationQuery $query, array $languageFilter = []);
65
74 public function suggest($prefix, $fieldPaths = [], $limit = 10, Criterion $filter = null);
75
81 public function indexContent(Content $content);
82
89 public function deleteContent($contentId, $versionId = null);
90
96 public function indexLocation(Location $location);
97
104 public function deleteLocation($locationId, $contentId);
105
109 public function purgeIndex();
110 }
eZ\Publish\API\Repository\Values\Content\LocationQuery
This class is used to perform a Location query.
Definition: API/Repository/Values/Content/LocationQuery.php:13
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location
This is the base class for Location criterions.
Definition: API/Repository/Values/Content/Query/Criterion/Location.php:15
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion.php:15
eZ\Publish\API\Repository\Values\Content\Query
This class is used to perform a Content query.
Definition: API/Repository/Values/Content/Query.php:15
eZ\Publish\SPI\Persistence\Content
Content value object, bound to a version.
Definition: Publish/SPI/Persistence/Content.php:17
eZ\Publish\SPI\Persistence\Content\Handler
The Content Handler interface defines content operations on the storage engine.
Definition: SPI/Persistence/Content/Handler.php:20
eZ\Publish\SPI\Search\Handler\purgeIndex
purgeIndex()
Purges all contents from the index.
eZ\Publish\SPI\Search\Handler\findContent
findContent(Query $query, array $languageFilter=[])
Finds content objects for the given query.
eZ\Publish\SPI\Search\Handler\indexLocation
indexLocation(Location $location)
Indexes a Location in the index storage.
eZ\Publish\SPI\Search\Handler\deleteLocation
deleteLocation($locationId, $contentId)
Deletes a location from the index.
eZ\Publish\SPI\Search\Handler\deleteContent
deleteContent($contentId, $versionId=null)
Deletes a content object from the index.
eZ\Publish\SPI\Search\Handler\findSingle
findSingle(Criterion $filter, array $languageFilter=[])
Performs a query for a single content object.
eZ\Publish\SPI\Search\Handler\suggest
suggest($prefix, $fieldPaths=[], $limit=10, Criterion $filter=null)
Suggests a list of values for the given prefix.
eZ\Publish\SPI\Search\Handler\indexContent
indexContent(Content $content)
Indexes a content object.
eZ\Publish\SPI\Search\Handler\findLocations
findLocations(LocationQuery $query, array $languageFilter=[])
Finds locations for the given $query.
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion/Ancestor.php:7
eZ\Publish\SPI\Persistence\Content\Location
Definition: SPI/Persistence/Content/Location/CreateStruct.php:7
eZ\Publish\SPI\Persistence\Content
Definition: SPI/Persistence/Content/ContentInfo.php:7
eZ\Publish\SPI\Search
Definition: Capable.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.